Bug 243510 - [patch] sysutils/iocage: Fix devfs_ruleset bug, take maintainership
Summary: [patch] sysutils/iocage: Fix devfs_ruleset bug, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Michael Gmelin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-22 12:28 UTC by Michael Gmelin
Modified: 2020-01-24 17:15 UTC (History)
0 users

See Also:
grembo: maintainer-feedback+


Attachments
Patch to take maintainership and fix devfs_ruleset bug (12.81 KB, patch)
2020-01-22 12:28 UTC, Michael Gmelin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Gmelin freebsd_committer 2020-01-22 12:28:44 UTC
Created attachment 210954 [details]
Patch to take maintainership and fix devfs_ruleset bug

Pull in a bugfix that has been merged upstream:

https://github.com/iocage/iocage/commit/753b2f35731423597d7f51f33427b6d619fcd0b5
https://github.com/iocage/iocage/pull/1106

This bug caused manually configured devfs_rulesets to get deleted on jail stop, causing jails to come up with a default devfs rules on next start, which can be a nuisance or even dangerous, depending on the specific setup. Also adds a minimum devfs_ruleset id for dynamically created devfs rulesets and fixes a devfs_ruleset resource leak when using plugins.

Take maintainership, as suggested by araujo@ (thanks for taking care of that port for so long!).
Comment 1 Marcelo Araujo freebsd_committer 2020-01-23 02:35:36 UTC
Looks good to me and has my approval.
Cheers.
Comment 2 Michael Gmelin freebsd_committer 2020-01-23 11:03:10 UTC
Thanks!
Comment 3 commit-hook freebsd_committer 2020-01-23 11:13:14 UTC
A commit references this bug:

Author: grembo
Date: Thu Jan 23 11:12:29 UTC 2020
New revision: 523920
URL: https://svnweb.freebsd.org/changeset/ports/523920

Log:
  Fix accidental removal of devfs_rulesets on jail stop

  Pulls in a bugfix[0] that has been merged upstream[1].

  This bug caused manually configured devfs_rulesets to get deleted on jail
  stop, causing jails to come up with a default devfs rules on next start,
  which can be a nuisance or even dangerous, depending on the specific setup.

  Also adds a minimum devfs_ruleset id for dynamically created devfs rulesets
  and fixes a devfs_ruleset resource leak when using plugins.

  Take maintainership, as suggested by araujo@ (thanks for taking care of that
  port for so long!).

  [0]https://github.com/iocage/iocage/pull/1106
  [1]https://github.com/iocage/iocage/commit/753b2f35731423597d7f51f33427b6d619fcd0b5

  PR:		243510
  Approved by:	araujo (maintainer)
  MFH:		2020Q1

Changes:
  head/sysutils/iocage/Makefile
  head/sysutils/iocage/files/patch-iocage__lib_ioc__common.py
  head/sysutils/iocage/files/patch-iocage__lib_ioc__json.py
  head/sysutils/iocage/files/patch-iocage__lib_ioc__start.py
Comment 4 commit-hook freebsd_committer 2020-01-24 11:37:16 UTC
A commit references this bug:

Author: grembo
Date: Fri Jan 24 11:36:18 UTC 2020
New revision: 523962
URL: https://svnweb.freebsd.org/changeset/ports/523962

Log:
  MFH: r523920

  Fix accidental removal of devfs_rulesets on jail stop

  Pulls in a bugfix[0] that has been merged upstream[1].

  This bug caused manually configured devfs_rulesets to get deleted on jail
  stop, causing jails to come up with a default devfs rules on next start,
  which can be a nuisance or even dangerous, depending on the specific setup.

  Also adds a minimum devfs_ruleset id for dynamically created devfs rulesets
  and fixes a devfs_ruleset resource leak when using plugins.

  Take maintainership, as suggested by araujo@ (thanks for taking care of that
  port for so long!).

  [0]https://github.com/iocage/iocage/pull/1106
  [1]https://github.com/iocage/iocage/commit/753b2f35731423597d7f51f33427b6d619fcd0b5

  PR:		243510
  Approved by:	araujo (maintainer)

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q1/
  branches/2020Q1/sysutils/iocage/Makefile
  branches/2020Q1/sysutils/iocage/files/patch-iocage__lib_ioc__common.py
  branches/2020Q1/sysutils/iocage/files/patch-iocage__lib_ioc__json.py
  branches/2020Q1/sysutils/iocage/files/patch-iocage__lib_ioc__start.py